Page MenuHomePhabricator

[LV] Disable Scalable VFs when tail folding is enabled b/c of low tripcount.
ClosedPublic

Authored by sdesmalen on Jul 23 2021, 5:52 AM.

Details

Summary

The loop vectorizer may decide to use tail folding when the trip-count
is low. When that happens, scalable VFs are no longer a candidate,
since tail folding/predication is not yet supported for scalable vectors.

This can be re-enabled in a future patch.

Diff Detail

Event Timeline

sdesmalen created this revision.Jul 23 2021, 5:52 AM
sdesmalen requested review of this revision.Jul 23 2021, 5:52 AM
Herald added a project: Restricted Project. · View Herald TranscriptJul 23 2021, 5:52 AM
kmclaughlin accepted this revision.Jul 23 2021, 9:32 AM

This patch LGTM!

This revision is now accepted and ready to land.Jul 23 2021, 9:32 AM
Matt added a subscriber: Matt.Jul 25 2021, 1:02 PM
This revision was landed with ongoing or failed builds.Jul 27 2021, 3:38 AM
This revision was automatically updated to reflect the committed changes.